Skip to main content
GET
/
v1
/
data
/
tokens
/
{mint}
Get token details
curl --request GET \
  --url https://api-nova.tech/v1/data/tokens/{mint}
import requests

url = "https://api-nova.tech/v1/data/tokens/{mint}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api-nova.tech/v1/data/tokens/{mint}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "mint": "So11111111111111111111111111111111111111112",
  "symbol": "SOL",
  "name": "Solana",
  "logoUrl": "<string>",
  "priceUsd": 123,
  "marketCapUsd": 123,
  "volume24hUsd": 123,
  "change24hPct": 123,
  "description": "<string>",
  "verified": true,
  "liquidityUsd": 123,
  "holderCount": 123,
  "links": {}
}
{
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Try again later.",
"requestId": "<string>"
}
}

Path Parameters

mint
string
required

Solana token mint address.

Minimum string length: 32

Response

Token details.

mint
string
required
Example:

"So11111111111111111111111111111111111111112"

symbol
string
required
Example:

"SOL"

name
string
required
Example:

"Solana"

logoUrl
string<uri>
priceUsd
number
marketCapUsd
number
volume24hUsd
number
change24hPct
number
riskLevel
enum<string>
Available options:
low,
medium,
high,
critical
description
string
verified
boolean
liquidityUsd
number
holderCount
integer